com.google.gwt.aria.client

## Interface TextboxRole

- All Superinterfaces:
    InputRole, Role, WidgetRole
  All Known Implementing Classes:
    TextboxRoleImpl

      public interface TextboxRole
      extends InputRole

  A type that represents the textbox role in the ARIA specification.
  See Also:
    `Role`, `Roles`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAriaActivedescendantProperty(Element element)` Returns the value of the aria-activedescendant attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaAutocompleteProperty(Element element)` Returns the value of the aria-autocomplete attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaMultilineProperty(Element element)` Returns the value of the aria-multiline attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaReadonlyProperty(Element element)` Returns the value of the aria-readonly attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaRequiredProperty(Element element)` Returns the value of the aria-required attribute for the `element` or "" if no such attribute is present.
    `void` | `removeAriaActivedescendantProperty(Element element)` Removes the aria-activedescendant attribute from the `element`.
    `void` | `removeAriaAutocompleteProperty(Element element)` Removes the aria-autocomplete attribute from the `element`.
    `void` | `removeAriaMultilineProperty(Element element)` Removes the aria-multiline attribute from the `element`.
    `void` | `removeAriaReadonlyProperty(Element element)` Removes the aria-readonly attribute from the `element`.
    `void` | `removeAriaRequiredProperty(Element element)` Removes the aria-required attribute from the `element`.
    `void` | `setAriaActivedescendantProperty(Element element, Id value)` Sets the aria-activedescendant attribute for the `element` to the given `value`.
    `void` | `setAriaAutocompleteProperty(Element element, AutocompleteValue value)` Sets the aria-autocomplete attribute for the `element` to the given `value`.
    `void` | `setAriaMultilineProperty(Element element, boolean value)` Sets the aria-multiline attribute for the `element` to the given `value`.
    `void` | `setAriaReadonlyProperty(Element element, boolean value)` Sets the aria-readonly attribute for the `element` to the given `value`.
    `void` | `setAriaRequiredProperty(Element element, boolean value)` Sets the aria-required attribute for the `element` to the given `value`.

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

- - ### Method Detail

    - #### getAriaActivedescendantProperty

          java.lang.String getAriaActivedescendantProperty(Element element)

      Returns the value of the aria-activedescendant attribute for the `element` or "" if no such attribute is present.

    - #### getAriaAutocompleteProperty

          java.lang.String getAriaAutocompleteProperty(Element element)

      Returns the value of the aria-autocomplete attribute for the `element` or "" if no such attribute is present.

    - #### getAriaMultilineProperty

          java.lang.String getAriaMultilineProperty(Element element)

      Returns the value of the aria-multiline attribute for the `element` or "" if no such attribute is present.

    - #### getAriaReadonlyProperty

          java.lang.String getAriaReadonlyProperty(Element element)

      Returns the value of the aria-readonly attribute for the `element` or "" if no such attribute is present.

    - #### getAriaRequiredProperty

          java.lang.String getAriaRequiredProperty(Element element)

      Returns the value of the aria-required attribute for the `element` or "" if no such attribute is present.

    - #### removeAriaActivedescendantProperty

          void removeAriaActivedescendantProperty(Element element)

      Removes the aria-activedescendant attribute from the `element`.

    - #### removeAriaAutocompleteProperty

          void removeAriaAutocompleteProperty(Element element)

      Removes the aria-autocomplete attribute from the `element`.

    - #### removeAriaMultilineProperty

          void removeAriaMultilineProperty(Element element)

      Removes the aria-multiline attribute from the `element`.

    - #### removeAriaReadonlyProperty

          void removeAriaReadonlyProperty(Element element)

      Removes the aria-readonly attribute from the `element`.

    - #### removeAriaRequiredProperty

          void removeAriaRequiredProperty(Element element)

      Removes the aria-required attribute from the `element`.

    - #### setAriaActivedescendantProperty

          void setAriaActivedescendantProperty(Element element,
                                               Id value)

      Sets the aria-activedescendant attribute for the `element` to the given `value`.

    - #### setAriaAutocompleteProperty

          void setAriaAutocompleteProperty(Element element,
                                           AutocompleteValue value)

      Sets the aria-autocomplete attribute for the `element` to the given `value`.

    - #### setAriaMultilineProperty

          void setAriaMultilineProperty(Element element,
                                        boolean value)

      Sets the aria-multiline attribute for the `element` to the given `value`.

    - #### setAriaReadonlyProperty

          void setAriaReadonlyProperty(Element element,
                                       boolean value)

      Sets the aria-readonly attribute for the `element` to the given `value`.

    - #### setAriaRequiredProperty

          void setAriaRequiredProperty(Element element,
                                       boolean value)

      Sets the aria-required attribute for the `element` to the given `value`.